Name:          pusher-java-client
Version:       1.0.1
Release:       5%{?dist}
Summary:       Pusher Java Client Library
License:       MIT
URL:           https://github.com/pusher/pusher-websocket-java
Source0:       https://github.com/pusher/pusher-websocket-java/archive/%{name}-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(com.google.code.gson:gson)
BuildRequires: mvn(org.codehaus.mojo:build-helper-maven-plugin)
BuildRequires: mvn(org.java-websocket:Java-WebSocket)
BuildRequires: mvn(org.mockito:mockito-all)
BuildRequires: mvn(org.powermock:powermock-api-mockito)
BuildRequires: mvn(org.powermock:powermock-module-junit4)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)

BuildArch:     noarch

%description
Pusher client library for Java targeting Android and general Java.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n pusher-websocket-java-%{name}-%{version}
find . -name '*.class' -print -delete
find . -name '*.jar' -print -delete

# getting "Runtime Unable to set MockitoNamingPolicy on cglib gen" error
rm -v src/test/java/com/pusher/client/EndToEndTest.java

%pom_remove_plugin :build-helper-maven-plugin
%pom_remove_plugin :maven-assembly-plugin
%pom_remove_plugin :maven-gpg-plugin
%pom_remove_plugin :maven-jar-plugin # removes classpath and mainclass in manifest
%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin :site-maven-plugin

%pom_change_dep :java-websocket :Java-WebSocket

%mvn_file : %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc CHANGELOG.md README.md
%license LICENCE.txt

%files javadoc -f .mfiles-javadoc
%license LICENCE.txt

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 11 2016 Jonny Heggheim <hegjon@gmail.com> - 1.0.1-1
- Bumped to latest version

* Sun Jan 31 2016 Jonny Heggheim <hegjon@gmail.com> - 0.3.3-2
- Fixed build for Fedora 24

* Sun Aug 30 2015 gil cattaneo <puntogil@libero.it> 0.3.3-1
- initial rpm
